Net::LDAP::Extension::Cancel(3)

NAME
Net::LDAP::Extension::Cancel - LDAP Cancel Operation

SYNOPSIS
 use Net::LDAP;
 use Net::LDAP::Constant qw(LDAP_SUCCESS LDAP_CANCELED)
 use Net::LDAP::Extension::Cancel;

 $ldap = Net::LDAP->new( 'ldap.mydomain.eg' );

 $ldap->bind('cn=Joe User,cn=People,dc=example,dc=com',
             password => 'secret');

 $search = $ldap->search(
                        base     => 'c=US',
                        filter   => '(&(sn=Barr) (o=Texas Instruments))',
                        callback => \&process_entry, # Call this sub for each entry
                      );

 $mesg = $ldap->cancel($search);

 die "error :", $mesg->code(), ": ", $mesg->error()
   if ($mesg->code() != LDAP_CANCELED && mesg->code() != LDAP_SUCCESS);

DESCRIPTION
"Net::LDAP::Extension::Cancel" implements the "Cancel" extended LDAPv3 operation as described in RFC 3909.

The "Cancel" extended operation is very similar to the "Abandon" standard operation, and has the same call signature. Unlike the "Abandon" operation, it has a response which provides an indication of its outcome.

It implements no object by itself but extends the Net::LDAP object by another method:

METHODS

cancel ( OPERATION, OPTIONS )
    Cancel an outstanding operation. "OPERATION" may be a number or an object which is a sub-class of Net::LDAP::Message, returned from a previous method call.

    OPTIONS is a list of key/value pairs. The following keys are recognized:

    control => CONTROL
    control => [ CONTROL, .. ]
        Control(s) to be passed to the operation.

SEE ALSO
Net::LDAP, Net::LDAP::Extension

AUTHOR
Peter Marschall <peter@adpm.de>.

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>

COPYRIGHT
Copyright (c) 2011 Peter Marschall. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.